STRUCT REGULATOR_CON(9)

NAME
struct_regulator_config - Dynamic regulator descriptor

SYNOPSIS

struct regulator_config {
  struct device * dev;
  const struct regulator_init_data * init_data;
  void * driver_data;
  struct device_node * of_node;
  struct regmap * regmap;
  bool ena_gpio_initialized;
  int ena_gpio;
  unsigned int ena_gpio_invert:1;
  unsigned int ena_gpio_flags;
};

MEMBERS

dev
    struct device for the regulator

init_data
    platform provided init data, passed through by driver

driver_data
    private regulator data

of_node
    OpenFirmware node to parse for device tree bindings (may be NULL).

regmap
    regmap to use for core regmap helpers if dev_get_regulator is insufficient.

ena_gpio_initialized
    GPIO controlling regulator enable was properly initialized, meaning that >= 0 is a valid gpio identifier and < 0 is a non existent gpio.

ena_gpio
    GPIO controlling regulator enable.

ena_gpio_invert
    Sense for GPIO enable control.

ena_gpio_flags
    Flags to use when calling gpio_request_one

DESCRIPTION

Each regulator registered with the core is described with a structure of this type and a struct regulator_desc. This structure contains the runtime variable parts of the regulator description.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT